[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TPersistent.Destroy

Destroys the TPersistent instance.

## Declaration

Source position: classesh.inc line 438

`public destructor TPersistent.Destroy; override;`

## Description

Destroy disposes of the persistent object. This method should never be called directly. Instead the Free method should be used.